Index: gauche-c-wrapper/doc/Makefile.in
===================================================================
--- gauche-c-wrapper.orig/doc/Makefile.in
+++ gauche-c-wrapper/doc/Makefile.in
@@ -68,7 +68,7 @@ c-wrapper-refe.info.gz : c-wrapper-refe.
 	if test X$(MAKEINFO) != X -a X$(GZIP_PROGRAM) != X; then \
 	  $(MAKEINFO) --no-warn c-wrapper-refe.texi; \
 	  rm -rf c-wrapper-refe.info*.gz; \
-	  $(GZIP_PROGRAM) c-wrapper-refe.info; \
+	  $(GZIP_PROGRAM) -9 -n c-wrapper-refe.info; \
 	fi
 
 c-wrapper-refj.html : c-wrapper-refj.texi
@@ -95,7 +95,7 @@ c-wrapper-refj.info.gz : c-wrapper-refj.
 	if test X$(MAKEINFO) != X -a X$(GZIP_PROGRAM) != X; then \
 	  $(MAKEINFO) --no-warn c-wrapper-refj.texi; \
 	  rm -rf c-wrapper-refj.info*.gz; \
-	  $(GZIP_PROGRAM) c-wrapper-refj.info ; \
+	  $(GZIP_PROGRAM) -9 -n c-wrapper-refj.info ; \
 	fi
 
 clean:
